On this page
No Headings
Last updated: June 12, 2026
Important: The Adaptive Platform API is not available for new integrations. PayPal provides this documentation to support existing integrations. If you're starting an integration, we recommend our latest solutions.
Sends an invoice to a payer and notifies the payer of the pending invoice.
This example shows how to send an invoice using SendInvoice. The
invoice ID, which is in the response to CreateInvoice, identifies
the invoice to send.
curl https://svcs.sandbox.paypal.com/Invoice/SendInvoice \ -s \ --insecure \ -H "X-PAYPAL-SECURITY-USERID: " \ -H "X-PAYPAL-SECURITY-PASSWORD: " \ -H "X-PAYPAL-SECURITY-SIGNATURE: " \ -H "X-PAYPAL-REQUEST-DATA-FORMAT: NV" \ -H "X-PAYPAL-RESPONSE-DATA-FORMAT: NV" \ -H "X-PAYPAL-APPLICATION-ID: " \ -d requestEnvelope.errorLanguage=en_US \ -d invoiceID=INV2-RVY9-UWTW-64HZ-BR9WUse the SendInvoiceRequest message to send an invoice to a payer,
and notify the payer of the pending invoice.
| Field | Description |
|---|---|
detailLevel | common:DetailLevelCode (Optional) Level of detail required by the client application pertaining to a particular data component. The detail level is specified as a detail level code, which has all the enumerated values of the detail level for the component. By default, the detail level code is ReturnAll, which provides the maximum level of detail. |
errorLanguage | xs:string (Required) RFC 3066 language in which error messages are returned; by default it is en_US, which is the only language currently supported. |
The table below lists the fields for the
SendInvoiceRequest message.
| Field | Description |
|---|---|
requestEnvelope | common:requestEnvelope (Required) Information common to each API operation, such as the language in which an error message is returned. |
invoiceID | xs:string (Required) ID of the invoice to send. |
The SendInvoiceResponse message contains information returned in
response to a SendInvoiceRequest message. It indicates whether
the invoice was sent successfully.
| Field | Description |
|---|---|
ack | common:AckCode Acknowledgment code. Value is:
|
build | xs:string Build number. It is used only by PayPal Merchant Technical Support. |
correlationId | xs:string Correlation identifier. It is a 13-character, alphanumeric string (for example, db87c705a910e) that is used only by PayPal Merchant Technical Support. Note: You must log and store this data for every response you receive. PayPal Technical Support uses the information to assist with reported issues. |
timestamp | xs:datetime Date on which the response was sent, for example: 2012-04-02T22:33:35.774-07:00 Note: You must log and store this data for every response you receive. PayPal Technical Support uses the information to assist with reported issues. |
| Field | Description |
|---|---|
responseEnvelope | common:ResponseEnvelope Common response information, including a timestamp and the response acknowledgment status. |
invoiceID | xs:string ID of the invoice being sent. |
invoiceURL | xs:string Location where merchants view the invoice details. |
The PPFaultMessage returns ErrorData and the
ResponseEnvelope information to your application if an error
occurs.
| Field | Description |
|---|---|
error | common:ErrorData Detailed error information. |
responseEnvelope | common:ResponseEnvelope Common response information, including a timestamp and the response acknowledgment status. |
| Field | Description |
|---|---|
category | common:ErrorCategory The location where the error occurred. Value is:
|
domain | xs:string The domain to which this service belongs. |
errorId | xs:long A 6-digit number that uniquely identifies a particular error. |
exceptionID | This field is not used. |
message | xs:string A description of the error. |
parameter | common:ErrorParameter Represents contextual information about the error. |
severity | common:ErrorSeverity The severity of the error encountered. Value is:
|
subdomain | This field is not used. |
| Field | Description |
|---|---|
ack | common:AckCode Acknowledgment code. Value is:
|
build | xs:string Build number. It is used only by PayPal Merchant Technical Support. |
correlationId | xs:string Correlation identifier. It is a 13-character, alphanumeric string (for example, db87c705a910e) that is used only by PayPal Merchant Technical Support. Note: You must log and store this data for every response you receive. PayPal Technical Support uses the information to assist with reported issues. |
timestamp | xs:datetime Date on which the response was sent, for example: 2012-04-02T22:33:35.774-07:00 Note: You must log and store this data for every response you receive. PayPal Technical Support uses the information to assist with reported issues. |
| Code | Message | Additional Information |
|---|---|---|
| 520002 | Internal error. | |
| 520003 | Authentication failed. API credentials are incorrect. | |
| 520009 | Account is restricted. | |
| 550026 | Partner did not create the invoice but attempted to access or modify it; a merchant's invoice can be accessed or modified only by the partner who created it. | |
| 550027 | Merchant cannot access or modify an invoice they did not create; an invoice can only be accessed or modified by the party who created it. | |
| 570052 | You cannot send this invoice because it has already been paid. | |
| 570053 | You cannot send this invoice because it has already been canceled. | |
| 570058 | Authentication failed. User account is not confirmed. | |
| 570064 | An invoice that has already been sent cannot be sent again. | |
| 571001 | The specified invoice ID is invalid because the invoice has already been deleted. | |
| 580022 | This error code corresponds to validation error messages that deal with errors of supplied parameters. | |
| 580047 | Invoice does not exist. |